Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIAttachQueue

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.AbstractAttachQueue
                  org.richfaces.component.UIAttachQueue

All Implemented Interfaces:
  EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

    @Generated(value={"RichFaces CDK","4.3.1.Final"})
    public class UIAttachQueue

extends AbstractAttachQueue
implements javax.faces.event.ComponentSystemEventListener

The <a4j:attachQueue> behavior is used together with a <a4j:queue> component to further customize queuing for particular components and behaviors. The <a4j:attachQueue> behavior can override the scope-wide queue settings for an individual component, or attach specific requests to a queue.

Author:
  Nick Belaevski

Nested Class Summary
`protected static class` | `UIAttachQueue.Properties`

Field Summary
`static String` | `COMPONENT_FAMILY`
`static String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

Constructor Summary
`UIAttachQueue()`

Method Summary
`String` | `getFamily()`
`String` | `getName()` Identify the name of the destination queue
`String` | `getOnrequestdequeue()` The client-side script method to be called after the request is removed from the queue
`String` | `getOnrequestqueue()` The client-side script method to be called when the request is added to the queue
`int` | `getRequestDelay()` Attribute defines the time (in ms) the request will be waiting in the queue before it is ready to be sent.
`String` | `getRequestGroupingId()` Specify the groupingId to process multiple requests together.
`boolean` | `isIgnoreDupResponses()` Attribute allows you to ignore an Ajax response produced by a request if the newest 'similar' request is in the queue already.
`void` | `setIgnoreDupResponses(boolean ignoreDupResponses)`
`void` | `setName(String name)`
`void` | `setOnrequestdequeue(String onrequestdequeue)`
`void` | `setOnrequestqueue(String onrequestqueue)`
`void` | `setRequestDelay(int requestDelay)`
`void` | `setRequestGroupingId(String requestGroupingId)`

Methods inherited from class org.richfaces.component.AbstractAttachQueue
`associateWith, associateWith, getQueueId, processEvent`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.event.ComponentSystemEventListener
`processEvent`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### UIAttachQueue

    public UIAttachQueue()

Method Detail

### getFamily

    public String getFamily()

  Overrides:
    `getFamily` in class `AbstractAttachQueue`

### isIgnoreDupResponses

    public boolean isIgnoreDupResponses()

  Description copied from class: `AbstractAttachQueue`
  Attribute allows you to ignore an Ajax response produced by a request if the newest 'similar' request is in the queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows avoiding unnecessary updates on the client side if the response isn't actual now

  Specified by:
    `isIgnoreDupResponses` in class `AbstractAttachQueue`

### setIgnoreDupResponses

    public void setIgnoreDupResponses(boolean ignoreDupResponses)

### getName

    public String getName()

  Description copied from class: `AbstractAttachQueue`
  Identify the name of the destination queue

  Specified by:
    `getName` in class `AbstractAttachQueue`

### setName

    public void setName(String name)

### getOnrequestdequeue

    public String getOnrequestdequeue()

  Description copied from class: `AbstractAttachQueue`
  The client-side script method to be called after the request is removed from the queue

  Specified by:
    `getOnrequestdequeue` in class `AbstractAttachQueue`

### setOnrequestdequeue

    public void setOnrequestdequeue(String onrequestdequeue)

### getOnrequestqueue

    public String getOnrequestqueue()

  Description copied from class: `AbstractAttachQueue`
  The client-side script method to be called when the request is added to the queue

  Specified by:
    `getOnrequestqueue` in class `AbstractAttachQueue`

### setOnrequestqueue

    public void setOnrequestqueue(String onrequestqueue)

### getRequestDelay

    public int getRequestDelay()

  Description copied from class: `AbstractAttachQueue`
  Attribute defines the time (in ms) the request will be waiting in the queue before it is ready to be sent.

  Specified by:
    `getRequestDelay` in class `AbstractAttachQueue`

### setRequestDelay

    public void setRequestDelay(int requestDelay)

### getRequestGroupingId

    public String getRequestGroupingId()

  Description copied from class: `AbstractAttachQueue`
  Specify the groupingId to process multiple requests together. Requests from multiple behaviors can use the same identifier to group requests together

  Specified by:
    `getRequestGroupingId` in class `AbstractAttachQueue`

### setRequestGroupingId

    public void setRequestGroupingId(String requestGroupingId)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.